Devel::MAT::Tool::Symbols(3pm)

NAME
"Devel::MAT::Tool::Symbols" - display a list of the symbol table

DESCRIPTION
This "Devel::MAT" tool displays a list names from the symbol table.

COMMANDS

  symbols
   pmat> symbols strict
   $strict::VERSION
   &strict::all_bits
   &strict::all_explicit_bits
   &strict::bits
   &strict::import
   &strict::unimport

Prints a list of every name inside a symbol table hash ("stash"), starting from the one given by name, or the toplevel default stash if none is provided.

Takes the following named options:

--recurse, -R
    Recursively show the inner symbols inside stashes.

  packages
Prints a list of every package name in the symbol table.

   pmat> packages
   package CORE at STASH(1) at 0x55cde0f74240
   package CORE::GLOBAL at STASH(0) at 0x55cde0f74270
   package Carp at STASH(4) at 0x55cde0fa1508
   ...

Takes the following named options:

--versions, -V
    Include the value of the $VERSION of each package, if relevant.

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>